
def zipfile_extract(file_path, extract_to):
    import zipfile

    def is_zipfile(path):
        return zipfile.is_zipfile(path)

    def extract_all(zip_path, extract_to):
        with zipfile.ZipFile(zip_path, 'r') as zip_ref:
            zip_ref.extractall(extract_to)

    if is_zipfile(file_path):
        extract_all(file_path, extract_to)
    else:
        raise ValueError("The provided file is not a valid zipfile.")



